<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <RootNamespace>Maeson.Console</RootNamespace>
    <AssemblyName>maeson</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\core\Maeson.Core.csproj" />
    <ProjectReference Include="..\builders\vscode\Maeson.Builders.VSCode.csproj" />
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="Axle.Application" />
  </ItemGroup>

  <ItemGroup>
    <None Update="application.yml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
